dht::NodeCache Struct Reference

## Public Member Functions

Sp< Node > | getNode (const InfoHash &id, sa_family_t family)
Sp< Node > | getNode (const InfoHash &id, const SockAddr &, time_point now, bool confirmed, bool client=false)
std::vector< Sp< Node > > | getCachedNodes (const InfoHash &id, sa_family_t sa_f, size_t count) const
void | clearBadNodes (sa_family_t family=0)

## Detailed Description

Definition at line 28 of file node_cache.h.

## Member Function Documentation

## clearBadNodes()

void dht::NodeCache::clearBadNodes | ( | sa_family_t | family = `0` | ) |

Reset the connectivity state of every node, Giving them a new chance if they where expired. To use in case of connectivity change etc.

The documentation for this struct was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/node_cache.h